{% extends 'base.html' %}
{% load static %}
<head>
   <style>
        #Matkul {
            margin: 50px;
            font-family: "Arimo", sans-serif;

        }

        #DMatkul {
            margin: 50px;
            font-family: "Playfair Display";
        }

        #jfont {
            text-align: center;
            font-family: "Playfair Display";
            margin-top: 30px;
            margin-bottom: 0;
        }

        #bton2 {
            text-align: center;
            margin-top: 0;
        }

        #lihat_jadwal {
            margin: 100px;
        }

        table {
            font-family: arial, sans-serif;
            border-collapse: collapse;
            width: 100%;
        }

        td, th {
            border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;
        }

        tr:nth-child(even) {
            background-color: #dddddd;
        }
    </style>
</head>

            
{% block content %}
<div class="container">

<div id="listmatkul">
    <table class="table table-dark table-bordered">
        <thead>
            <tr>
                <th scope="col">Course Name</th>
                <th scope="col">Lecturer</th>
                <th scope="col">Credits</th>
                <th scope="col">Description</th>
                <th scope="col">Terms</th>
                <th scope="col">Class Room</th>
            </tr>
        </thead>
        <br> <br>
        <h3 class="judulskill" style="text-align: center;">course schedule</h3> <br>
        {% for component in data %}
        <tr>
            <td>
                {{ component.nama }}
            </td>
            <td>
                {{ component.dosen }}
            </td>
            <td>
                {{ component.jumlahSks }}
            </td>            
            <td>
                {{ component.deskripsi }}
            </td>
            <td>
                {{ component.semesterTahun }}
            </td>
            <td>
                {{ component.ruangKelas }}
            </td>
            <td>
            <a href="delete/{{ component.pk }}/"><button class="btn" style="background-color:#b1c4e3">delete</button>
            </a>
            </td>
        </tr>
        {% endfor %}

    </table>
</div>

<div style="height: 100px;"></div>

<div class="kuning">
    <div id="tambahJadwal">
        <h3 class="judulskill" style="text-align: center;">add course</h3> <br>
        <form id="form" method="POST" action="/story5/post/" enctype="multipart/form-data">
            {% csrf_token %}
            <div class="form-group">
                {{ form_tambah.as_p }}
            </div>
            <br>
            <button class="btn" style="margin-left:500px; margin-bottom:30px; background-color:#b1c4e3">submit</button>
        </form>
    </div>
</div>
</div>


{% endblock %}
